Table structure changes in shape files are not propogated to all copies in project
Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20378

Description

Updates to the schema of shape files (by adding or deleting columns) is not propogated to all the other versions of the same file in the

same project.

Steps to reproduce:

1. Add the same shape file twice

2. Add a column in Copy 1

3. Open Attribute Table of Copy 2 and see that the column isn't there

History

#1 - 2015-02-12 03:21 AM - Giovanni Manghi

- Category set to Vectors

- Subject changed from Schema changes in shape files not propogated to all copies in project to Table structure changes in shape files are not 

propogated to all copies in project

#2 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
